void CheatResetRAM(void);
void CheatAddRAM(_u8 *ramPtr);

int LoadGameCheats(char *name);
void FlushGameCheats(char *name);
void ApplyPeriodicCheats(void);

//=======================================================

int AddCheat(char *name, _u32 addr, _u8 val);
int DelCheat(_u32 which);

int CheatSearchGetCount(void);
void CheatSearchGetRange(_u32 first, _u32 last, int (*callb)(_u32 a, _u8 last, _u8 current));
void CheatSearchGet(int (*callb)(_u32 a, _u8 last, _u8 current));
void CheatSearchBegin(void);
void CheatSearchEnd(int type, _u8 v1, _u8 v2);
void ListCheats(int (*callb)(char *name, _u32 a, _u8 v, int s));

int GetCheat(_u32 which, char **name, _u32 *a, _u8 *v, int *s);
int SetCheat(_u32 which, char *name, int a, int v, int s);
void CheatSearchShowExcluded(void);
void CheatSearchSetCurrentAsOriginal(void);